package parser;

import java.util.Collection;
import java.util.Set;

public final class LPProgram {

	public final Command cmd;
	public final LinearFormula z;
	public final Collection<Constraint> constraints;

	public LPProgram(Command cmd, LinearFormula z,
			Collection<Constraint> constraints) {
		this.cmd = cmd;
		this.z = z;
		this.constraints = constraints;
	}

	public String toString() {
		StringBuilder sb = new StringBuilder();

		sb.append(cmd);
		sb.append(' ');
		sb.append(z);
		sb.append('\n');

		for (Constraint constraint : constraints) {
			sb.append(constraint);
			sb.append('\n');
		}

		return sb.toString();
	}

	public void getVarSet(Set<String> varset) {
		z.getVarSet(varset);
		for (Constraint c : constraints) {
			c.getVarSet(varset);
		}
	}
}
