package parser;

import java.util.Collection;
import java.util.Set;

public final class LinearFormula {

	public final Collection<Term> terms;

	public LinearFormula(Collection<Term> terms) {
		this.terms = terms;
	}

	public String toString() {
		StringBuilder sb = new StringBuilder();

		for (Term term : terms) {
			sb.append(term);
			sb.append(' ');
		}

		if (sb.charAt(0) == '+') {
			sb.delete(0, 2);
		}

		return sb.toString();
	}

	public void getVarSet(Set<String> varset) {
		for (Term t : terms) {
			t.getVarSet(varset);
		}
	}

}
