package parser;

import java.math.BigInteger;
import java.util.Set;

public final class Term {

	public final BigInteger coefficient;
	public final Variable var;

	public Term(BigInteger coefficient, Variable var) {
		this.coefficient = coefficient;
		this.var = var;
	}

	public String toString() {
		return (coefficient.signum() < 0 ? "- " + coefficient.negate()
				: "+ " + coefficient)
				+ " " + var;
	}

	public void getVarSet(Set<String> varset) {
		varset.add(var.name);
	}
}
