package solver;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;

import parser.LPParser;
import parser.LPProgram;

public final class LPSolver {

	public static void main(String[] args) {
		try {
			InputStream is;
			if (args.length > 0)
			{
				is = new FileInputStream(args[0]);
			}
			else
			{
				is = System.in;
			}
			
			LPParser parser = new LPParser(is);
			
			LPProgram lp = parser.readProgram();
			
			System.out.print(lp);
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
